#
# spec file for package kruler
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kruler
BuildRequires:  extra-cmake-modules
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  update-desktop-files
BuildRequires:  kdoctools-devel
BuildRequires:  ki18n-devel
BuildRequires:  knotifications-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kxmlgui-devel
Summary:        Screen Ruler
License:        GPL-2.0+
Group:          Productivity/Graphics/Other
Url:            http://www.kde.org
Version:        15.12.2
Release:        0
Source0:        %{name}-%{version}.tar.xz
Obsoletes:      %{name}5 < %{version}
Provides:       %{name}5 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description 
A screen ruler for the K Desktop Environment

%prep
%setup -q -n %{name}-%version

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %suse_update_desktop_file -r org.kde.kruler         Utility DesktopUtility

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_kf5_bindir/kruler
%_kf5_applicationsdir/org.kde.kruler.desktop
%_kf5_sharedir/kruler/
%_kf5_htmldir/en//kruler/
%_kf5_iconsdir/hicolor/*/*/kruler*
%_datadir/knotifications5/kruler.notifyrc

%changelog
